Eclipse Platform Release 3.7

## org.eclipse.core.resources
Class FileInfoMatcherDescription

    java.lang.Object
      org.eclipse.core.resources.FileInfoMatcherDescription

    public final class FileInfoMatcherDescription

extends Object

A description of a file info matcher.

Since:
  3.6

Constructor Summary
`FileInfoMatcherDescription(String id, Object arguments)`

Method Summary
`boolean` `equals(Object obj)`
`Object` `getArguments()`
`String` `getId()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileInfoMatcherDescription

    public FileInfoMatcherDescription(String id,
                                      Object arguments)

Method Detail

### getArguments

    public Object getArguments()

### getId

    public String getId()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.